#!/bin/bash
# This file is a part of the TTRM Program;
# copyright (C) 2001-2002, Alexandros Droseltis;
# it is distributed under the terms of the
# GNU General Public Licence v.2 (read the file LICENCE)

libs[0]=/usr/lib/libpng.so.2
libs[1]=/usr/X11R6/lib/libXext.so.6
libs[2]=/lib/libc.so.6
libs[3]=/usr/lib/libstdc++-libc6.2-2.so.3
libs[4]=/lib/libm.so.6
libs[5]=/usr/X11R6/lib/libX11.so.6
libs[6]=/lib/libdl.so.2
libs[7]=/lib/libz.so.1
libs[8]=/lib/ld-linux.so.2

if [ `whoami` != root ]; then
  echo "You must be root to do this"
else
  echo "Checking for the shared libraries..."
  i=0
  not_found=0
  while [ $i -le 8 ]; do
    if [ ! -f ${libs[$i]} ]; then
      echo "${libs[$i]}: Not found"
      not_found=1
    else
      echo -en "\r${libs[$i]}"
    fi
    i=`expr $i + 1`
  done
  
  if [ $not_found -eq 0 ]; then
    echo -e "\rAll found.                                             "
  fi
  
  if [ $not_found -eq 0 ]; then
    if [ ! -f /usr/local/bin/ttrm ]; then
      cp -f ttrm-static /usr/local/bin/ttrm
      echo "TTRM succesfully installed."
    else
      echo -n "The file exists. Replace it (y/n)? "
      read answer
      if [ $answer = y ]; then
        cp -f ttrm-static /usr/local/bin/ttrm
        echo "TTRM succesfully installed."
      else
        echo "TTRM not re-installed."
      fi
    fi
  fi
fi
  
