// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef NOTE_H
#define NOTE_H

#include "interval.h"
#include<string.h>
#include<ctype.h>

class Note{
public:
  //Note(int initialAccid, int initialHead);
  //~Note();
  const int getAccid(void);
  const int getHead(void);
  void tex2num(void);
  void setAccid(int Accid);
  void setHead(int Head);
  void set_gNote(char g_note[]);
  void set_TeXNote(char tex_note[]);
  void enharmonic();
  void transpose(Interval Diastima);
  void german2num(void);
private:
  // Transposer functions:
  void oct_d_trans(int oct);
  void negative(Interval Diastima1, Interval &Diastima2, int *octave);
  int first_step(Interval Diastima);
  int Tr_Condition(int space);
  void transpositive(Interval Diastima);

  // Convertors
  int basic_german(char x);
  int octave_german(char x);
  int accid2num_german(char x[]);

  char gNote[7];
  char TeXNote[2];
  int itsAccid;
  int itsHead;
};

#endif
