// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#include"ttrm.h"
#include<iostream.h> // for message

ttrm::ttrm(const char* row){
    myRow.make(row);
    myTable.setForms(myRow);
}

ttrm::ttrm(const char* row, const char* title, bool opt[], const char* head,
	   int form=0, int trans=0){
    myRow.make(row);
    myTable.set_title(title);
    myTable.set_table(opt, myRow);
    myTable.set_filename(head);
    if(opt[10]==0){
	myVerticals.set_filename(head);
	myVerticals.set_options(opt);
	myVerticals.set_title(title);
	myVerticals.set_form(form);
	myVerticals.set_head(trans);
    }
}

void ttrm::exec(bool opt[]){
    if(opt[11]==0) myTable.print();
    if(opt[8]==0) myTable.tetragono_ger();
    if(opt[9]==0) myTable.tetragono_num();
    if(opt[10]==0) myVerticals.create(myTable);
}

const char* ttrm::pack(bool opt[]){
    if(opt[12]==0) return myTable.tetragono_ger_str();
    else if(opt[13]==0) return myTable.tetragono_num_str();
}

Matrix* ttrm::get_matrices(void){
    return myTable.get_matrices();
}
